Bug 444029 - ICE internal compiler error: in make_rtl_for_nonlocal_decl, at cp/decl.c:5067
ICE internal compiler error: in make_rtl_for_nonlocal_decl, at cp/decl.c:5067
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
x86_64 Linux
high Severity high
: ---
: ---
Assigned To: Jakub Jelinek
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-04-24 13:12 EDT by Neal Becker
Modified: 2009-01-09 01:25 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-01-09 01:25:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
preprocessed input (272.75 KB, text/plain)
2008-04-24 13:12 EDT, Neal Becker
no flags Details

  None (edit)
Description Neal Becker 2008-04-24 13:12:05 EDT
Description of problem:
internal compiler error: in make_rtl_for_nonlocal_decl, at cp/decl.c:5067

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Neal Becker 2008-04-24 13:12:05 EDT
Created attachment 303663 [details]
preprocessed input
Comment 2 Teng Lin 2008-11-03 11:18:55 EST
This bug may have something to do with http://gcc.gnu.org/bugzilla/show_bug.cgi?id=33094 and 
http://gcc.gnu.org/bugzilla/show_bug.cgi?id=33322 .

I can actually use the code snippet from GCC Bugzilla Bug 33094 to trigger the ICE on 64 bit gcc-4.1.2.


template <typename T>
class A
 virtual T f1() { return c; }
 static const T c = 0;

A<int> v;


tabitha:/zone1/lin/tmp>uname -a
Linux tabitha 2.6.18-92.1.6.el5 #1 SMP Wed Jun 25 13:45:47 EDT 2008 x86_64 x86_64 x86_64 GNU/Linux
tabitha:/zone1/lin/tmp>cat /etc/redhat-release
CentOS release 5.2 (Final)
tabitha:/zone1/lin/tmp>gcc -v
Using built-in specs.
Target: x86_64-redhat-linux
Configured with: ../configure --prefix=/usr --mandir=/usr/share/man --infodir=/usr/share/info --enable-shared --enable-threads=posix --enable-checking=release --with-system-zlib --enable-__cxa_atexit --disable-libunwind-exceptions --enable-libgcj-multifile --enable-languages=c,c++,objc,obj-c++,java,fortran,ada --enable-java-awt=gtk --disable-dssi --enable-plugin --with-java-home=/usr/lib/jvm/java-1.4.2-gcj- --with-cpu=generic --host=x86_64-redhat-linux
Thread model: posix
gcc version 4.1.2 20071124 (Red Hat 4.1.2-42)
tabitha:/zone1/lin/tmp>gcc -c junk.cpp
junk.cpp: In instantiation of ‘const int <unnamed>::A<int>::c’:
junk.cpp:7:   instantiated from ‘T<unnamed>::A<T>::f1() [with T = int]’
junk.cpp:11:   instantiated from here
junk.cpp:8: internal compiler error: in make_rtl_for_nonlocal_decl, at cp/decl.c:5067
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla> for instructions.
Preprocessed source stored into /tmp/ccs5YCbs.out file, please attach this to your bugreport.
Comment 3 Teng Lin 2008-11-03 14:06:58 EST
It seems to work after applying patch from http://gcc.gnu.org/viewcvs?view=rev&revision=128890 to gcc-4.1.2-42.el5.src.rpm. Is it possible to include it into next update? Any idea of the release date for next update?
Comment 4 Bug Zapper 2008-11-26 05:33:47 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 5 Bug Zapper 2009-01-09 01:25:26 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.